body {
    margin: 0;
}

section {
    position: relative;
    background-color: var(--background-color);
}

.background {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
}

.background img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content {
    position: relative;
}

p {
    margin: 0;
    color: var(--text-color);
    font-size: 1.5rem;
    font-family: sans-serif;
    transition: 0.3s all ease;
}

img {
    transition: 0.3s all ease;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    color: var(--primary-color);
    font-family: sans-serif;
}
h1 { font-size: 3.5rem; }
h2 { font-size: 3rem; }
h3 { font-size: 2.5rem; }
h4 { font-size: 2rem; }
h5 { font-size: 1.5rem; }
h6 { font-size: 1rem; }

footer img {
    width: 70px;
    height: 70px;
    filter: invert(4%) sepia(6%) saturate(5717%) hue-rotate(193deg) brightness(104%) contrast(100%);
    transition: 0.3s all ease;
}

a {
    text-decoration: none;
    color: var(--secondary-color);
}

a:hover {
    color: var(--primary-color);
}

a:hover p {
    color: var(--primary-color);
    transition: 0.3s all ease;
}

a:hover img {
    filter: invert(35%) sepia(26%) saturate(1980%) hue-rotate(195deg) brightness(94%) contrast(97%);
    transition: 0.3s all ease;
}

.divider {
    width: 90vw;
    border-top: 1px solid var(--secondary-color);
    opacity: 0;
}

@media (max-width: 1500px) {
    footer img {
        width: 65px;
    }
    .divider {
        opacity: 1;
    }
}
@media (max-width: 900px) {
    footer img {
        width: 60px;
    }
}

nav {
    height: 70px;
    width: 100vw;
    background-color: var(--primary-color);
}

nav .content {
    max-width: 1600px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 0px 20px;
}

nav img {
    height: 50px;
    width: 50px;
}

nav a:hover p {
    color: var(--background-color);
    transition: 0.3s all ease;
}

nav a:hover img {
    filter: invert(98%) sepia(9%) saturate(601%) hue-rotate(180deg) brightness(100%) contrast(99%);
    transition: 0.3s all ease;
}